org.gnome.pango

## Class WeightAttribute

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.pango.Attribute
      - - org.gnome.pango.WeightAttribute

-     public final class WeightAttribute
      extends Attribute

  An Attribute that modifies the weight of the text it is applied to. See `Weight`.
  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightAttribute(Weight weight)` Create a WeightAttribute.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.pango.Attribute

      `setIndices`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WeightAttribute

          public WeightAttribute(Weight weight)

      Create a WeightAttribute.
      Since:
        4.0.10